Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611886 - (CVE-2010-2630) CVE-2010-2630 libtiff: crash on out-of-order codec-specific tags
CVE-2010-2630 libtiff: crash on out-of-order codec-specific tags
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=redhat,reported=201...
: Security
Depends On: 554371
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 15:03 EDT by Tomas Hoger
Modified: 2015-07-31 08:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 05:11:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-07-06 15:03:09 EDT
The TIFFReadDirectory function in LibTIFF 3.9.0 does not properly
validate the data types of codec-specific tags that have an
out-of-order position in a TIFF file, which allows remote attackers to
cause a denial of service (application crash) via a crafted file, a
different vulnerability than CVE-2010-2481.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=554371
http://bugzilla.maptools.org/show_bug.cgi?id=2210
Comment 1 Tomas Hoger 2010-07-07 05:11:47 EDT
This particular symptom of unknown / out-of-order tag handling issues did not affect current libtiff packages in Red Hat Enterprise Linux 3, 4 and 5 due to previously applied patch (libtiff-*-ormandy.patch).  Future libtiff updates will improve that patch to use approach from patch submitted in the upstream bug report #2210.  The fix is already included in Fedora 3.9.4-1 packages.

Statement:

Not vulnerable. This issue did not affect the versions of libtiff as shipped with Red Hat Enterprise Linux 3, 4, or 5.

Note You need to log in before you can comment on or make changes to this bug.